Subject: throughput question

From: Marc Leeman <[email-masked]>
Date: Tue, 28 Sep 2004 15:33:16 +0200

I see some mails passing over the list about gigabit interfaces, so I
wonder if there are any suggestions as to what processor/interface
should be used for high througput.

I am currently working on a 8245 based board with 2.4.27 e100 driver
and when taking in (and processing streams), only about 50 Mbps can be
handled: about half of the time is based in kernel space (handling
interrupts).

The eepro100 driver was much worse.

As a result, I am a bit wondering about the higher bitrates. How much
do you achieve on tests with what hardware?

--=20
ash nazg durbatul=FBk, ash nazg gimbatul,
ash nazg thrakatul=FBk agh burzum-ishi krimpatul